<template>
  <ob-modal
    ref="logchainsModalError"
    title="Ошибка обмена данными с ЭТП ГП"
    size="large"
    isError
    isConfirm
    isShowControls
    okText="Закрыть"
    cancelText=""
    data-qa="logchainsModalError"
    custom-class="ob-logchains-selected-modal-error-wrapper"
    @submit="$emit('submit')"
  >
    <div class="ob-logchain-modal">
      <p>
        Функционал отправки груза находится в стадии бета-тестирования. Если
        ошибка будет повторяться, свяжитесь со службой технической поддержки по
        телефону
        <a :href="`tel:${$options.contacts[platform].linkphone}`">{{
          $options.contacts[platform].phone
        }}</a>
        (с 9:00 до 18:00 с пн-пт) или по почте
        <a :href="`mailto:${$options.contacts[platform].email}`">{{
          $options.contacts[platform].email
        }}</a
        >. Номер вашего заказа: {{ orderNumber }}.
      </p>
      <ob-table :columns="errorColumns" :items="errors" footerDisabled>
      </ob-table>
    </div>
  </ob-modal>
</template>

<script>
import { contacts } from "@/resources/contacts";
import ObModal from "common-components/src/obComponents/obModal";
import obTable from "common-components/src/obComponents/obTable";

export default {
  name: "orderLogchainError",

  props: {
    errors: {
      type: Array,
      default: () => [],
    },

    orderNumber: {
      type: String,
      required: true,
    },
  },

  components: {
    ObModal,
    obTable,
  },

  contacts,

  data() {
    return {
      showErrors: false,
      errorColumns: [
        {
          title: "Ошибка",
          key: "errorDescription",
        },
      ],
    };
  },

  computed: {
    platform() {
      return window.OBOZ_CONFIG.OBOZ_API_HOST.includes("oboz")
        ? "oboz"
        : "gruzi";
    },
  },

  methods: {
    open() {
      this.$refs.logchainsModalError.open();
    },
    close() {
      this.$refs.logchainsModalError.close();
    },
  },
};
</script>

<style lang="scss">
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.ob-logchains-selected-modal-error-wrapper {
  .ob-logchain-modal {
    a {
      text-decoration: none;
      color: $color-blue-smalt;
    }

    p {
      margin-bottom: 30px;
    }
  }

  .w100 {
    width: auto !important;
  }

  .ob-button-container.primary-type.danger {
    background: #0070a6;
    color: #fff;
  }

  .modal-footer .form-controls__left {
    button:last-child {
      display: none;
    }
  }
}
</style>
